# That's for Solaris
#CFLAGS = -g -O2 -Wall -x objective-c

# That's for Linux/DJGPP
CFLAGS = -g -O2

EXES = BPC

all: $(EXES)

install:
	make app
	cp $(EXES) /LocalApps

app:
	make "CFLAGS = -O4 -g -Wall -arch i386 -arch hppa"

debug:
	make "CFLAGS = -g -Wall"

profile:
	make "CFLAGS = -pg -Wall"

clean:
	rm -f *.o *~ $(EXES)

.c.o: ; gcc -c $(CFLAGS) -o $@ $*.c

BPCFILES = bpc.o pr_lex.o pr_comp.o cmdlib.o unbpc.o
BPC : $(BPCFILES)
	gcc -o bpc.exe $(BPCFILES)
	strip bpc.exe
	if exist \utils\bpc.exe del \utils\bpc.exe
	copy bpc.exe \utils >nul
